Skip to main content
GET
/
lending-stocks
/
api
/
liquidations
/
{marketId}
/
pending-liquidations
curl "https://api.trusset.org/lending-stocks/api/liquidations/{marketId}/pending-liquidations" \
  -H "X-API-Key: trusset_your_key_here"
{
  "success": true,
  "data": {
    "pendingLiquidations": [
      {
        "liquidationId": "4",
        "marketId": "clx_market_001",
        "loanId": "7",
        "status": "PENDING",
        "onChainData": {
          "collateralAmount": "50.000000000000000000",
          "collateralRemaining": "50.000000000000000000",
          "debtOwed": "4272.500000",
          "proceedsCollected": "0.000000",
          "settled": false
        }
      }
    ],
    "totalCount": 1
  }
}
Returns liquidations that have not yet been settled, enriched with on-chain data from the router.

Path Parameters

marketId
string
required
Market ID.
curl "https://api.trusset.org/lending-stocks/api/liquidations/{marketId}/pending-liquidations" \
  -H "X-API-Key: trusset_your_key_here"
{
  "success": true,
  "data": {
    "pendingLiquidations": [
      {
        "liquidationId": "4",
        "marketId": "clx_market_001",
        "loanId": "7",
        "status": "PENDING",
        "onChainData": {
          "collateralAmount": "50.000000000000000000",
          "collateralRemaining": "50.000000000000000000",
          "debtOwed": "4272.500000",
          "proceedsCollected": "0.000000",
          "settled": false
        }
      }
    ],
    "totalCount": 1
  }
}